org.apache.ignite.internal.processors.cache.persistence.pagemem

## Class ClockPageReplacementFlags

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.pagemem.ClockPageReplacementFlags

    public class ClockPageReplacementFlags
    extends Object

Clock page replacement algorithm implementation.

See Also:
  `PageReplacementMode.CLOCK`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `clearFlag(int pageIdx)` Clear page hit flag.
`int` `poll()` Find page to replace.
`static long` `requiredMemory(int pagesCnt)` Memory required to service `pagesCnt` pages.
`void` `setFlag(int pageIdx)` Set page hit flag.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### poll

    public int poll()

Find page to replace.

Returns:
  Page index to replace.

#### clearFlag

    public void clearFlag(int pageIdx)

Clear page hit flag.

Parameters:
  `pageIdx` - Page index.

#### setFlag

    public void setFlag(int pageIdx)

Set page hit flag.

Parameters:
  `pageIdx` - Page index.

#### requiredMemory

    public static long requiredMemory(int pagesCnt)

Memory required to service `pagesCnt` pages.

Parameters:
  `pagesCnt` - Pages count.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023